Name:		gpxe
Version:	0.9.6
Release:	8.3
License:	GPL
Url:		http://etherboot.org/
Group:		System
Summary:	network bootloader
Source0:	http://kernel.org/pub/software/utils/boot/gpxe/%{name}-%{version}.tar.bz2
Patch0:		gpxe-isolinux.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	syslinux gcc binutils mtools perl make mkisofs

%description
gPXE is an open source (GPL) network bootloader. It provides a direct replacement for proprietary PXE ROMs, with many extra features such as DNS, HTTP, iSCSI, etc.

%prep
%setup -n %{name}-%{version}
%if 0%{?suse_version}
%patch0
%endif

%build
cd src 
%__make

%install
cd src
%__install -d 0755 %{buildroot}%{_datadir}/%{name}/bin/
for FILE in bin/gpxe.dsk bin/gpxe.usb bin/gpxe.iso bin/undionly.kpxe ; do
 %__install -m 0644 ${FILE} %{buildroot}%{_datadir}/%{name}/
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING COPYRIGHTS README LOG VERSION
%{_datadir}/%{name}
